Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.scholarlysoftware.com/api/v1/faculty_activities/{faculty_activity_id}/files \ --header 'Authorization: Bearer <token>'
import requestsurl = "https://api.scholarlysoftware.com/api/v1/faculty_activities/{faculty_activity_id}/files"headers = {"Authorization": "Bearer <token>"}response = requests.get(url, headers=headers)print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};fetch('https://api.scholarlysoftware.com/api/v1/faculty_activities/{faculty_activity_id}/files', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "data": [ { "type": "file", "id": "<string>", "attributes": { "filename": "report.pdf", "content_type": "application/pdf", "url": "<string>", "checksum_md5": "<string>" } } ] }
{ "errors": [ { "status": "<string>", "title": "<string>", "detail": "<string>" } ]}
Returns a list of files attached to a specific faculty activity in JSON:API format
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Bearer token
Files found
Show child attributes